creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl Heinz Marbaise (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (RAT-232) Removed prerequisites from pom use maven-enforcer instead
Date Fri, 17 Mar 2017 19:23:41 GMT

     [ https://issues.apache.org/jira/browse/RAT-232?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Karl Heinz Marbaise updated RAT-232:
------------------------------------
    Summary: Removed prerequisites from pom use maven-enforcer instead  (was: Removed prerequisites
from pom use maven-enforcer instead for non maven-plugin projects.)

> Removed prerequisites from pom use maven-enforcer instead
> ---------------------------------------------------------
>
>                 Key: RAT-232
>                 URL: https://issues.apache.org/jira/browse/RAT-232
>             Project: Apache Rat
>          Issue Type: Improvement
>    Affects Versions: 0.13
>            Reporter: Karl Heinz Marbaise
>            Assignee: Karl Heinz Marbaise
>            Priority: Minor
>             Fix For: 0.13
>
>
> Based on a change in [Maven 3.5.0-alpha-1|https://issues.apache.org/jira/browse/MNG-6092]
all non maven-plugin projects which are using 
> {code:xml}
> <prerequisites>
> <maven>..</maven>
> </prerequisites>
> {code}
> will produce a WARNING during a build. Better to force using a particular maven version
using maven-enforcer-plugin.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message